io.vertx.ext.web

## Interface Cookie

- All Superinterfaces:
    Cookie

  Deprecated.
  use instead `Cookie`, this class will be removed in Vert.x 4

      @Deprecated
      public interface Cookie
      extends Cookie

  Represents an HTTP Cookie.

  All cookies must have a name and a value and can optionally have other fields set such as path, domain, etc.

  (Derived from io.netty.handler.codec.http.Cookie)

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Cookie` | `cookie(io.netty.handler.codec.http.cookie.Cookie nettyCookie)` Deprecated. Create a new cookie from a Netty cookie
    `static Cookie` | `cookie(String name, String value)` Deprecated. Create a new cookie
    `boolean` | `isChanged()` Deprecated. Has the cookie been changed? Changed cookieMap will be saved out in the response and sent to the browser.
    `boolean` | `isFromUserAgent()` Deprecated. Has this Cookie been sent from the User Agent (the browser)? or was created during the executing on the request.
    `void` | `setChanged(boolean changed)` Deprecated. Set the cookie as being changed.
    `Cookie` | `setDomain(String domain)` Deprecated. Sets the domain of this cookie
    `Cookie` | `setHttpOnly(boolean httpOnly)` Deprecated. Determines if this cookie is HTTP only.
    `Cookie` | `setMaxAge(long maxAge)` Deprecated. Sets the maximum age of this cookie in seconds.
    `Cookie` | `setPath(String path)` Deprecated. Sets the path of this cookie.
    `Cookie` | `setSecure(boolean secure)` Deprecated. Sets the security getStatus of this cookie
    `Cookie` | `setValue(String value)` Deprecated. Sets the value of this cookie

    - ### Methods inherited from interface io.vertx.core.http.Cookie

      `encode, getDomain, getName, getPath, getSameSite, getValue, isHttpOnly, isSecure, setSameSite`

- - ### Method Detail

    - #### cookie

          static Cookie cookie(String name,
                               String value)

      Deprecated.
      Create a new cookie
      Specified by:
        `cookie` in interface `Cookie`
      Parameters:
        `name` - the name of the cookie
        `value` - the cookie value
      Returns:
        the cookie

    - #### cookie

          static Cookie cookie(io.netty.handler.codec.http.cookie.Cookie nettyCookie)

      Deprecated.
      Create a new cookie from a Netty cookie
      Parameters:
        `nettyCookie` - the Netty cookie
      Returns:
        the cookie

    - #### setValue

          Cookie setValue(String value)

      Deprecated.
      Description copied from interface: `Cookie`
      Sets the value of this cookie
      Specified by:
        `setValue` in interface `Cookie`
      Parameters:
        `value` - The value to set
      Returns:
        a reference to this, so the API can be used fluently

    - #### setDomain

          Cookie setDomain(String domain)

      Deprecated.
      Description copied from interface: `Cookie`
      Sets the domain of this cookie
      Specified by:
        `setDomain` in interface `Cookie`
      Parameters:
        `domain` - The domain to use
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPath

          Cookie setPath(String path)

      Deprecated.
      Description copied from interface: `Cookie`
      Sets the path of this cookie.
      Specified by:
        `setPath` in interface `Cookie`
      Parameters:
        `path` - The path to use for this cookie
      Returns:
        a reference to this, so the API can be used fluently

    - #### setMaxAge

          Cookie setMaxAge(long maxAge)

      Deprecated.
      Description copied from interface: `Cookie`
      Sets the maximum age of this cookie in seconds. If an age of `0` is specified, this cookie will be automatically removed by browser because it will expire immediately. If `Long.MIN_VALUE` is specified, this cookie will be removed when the browser is closed. If you don't set this the cookie will be a session cookie and be removed when the browser is closed.
      Specified by:
        `setMaxAge` in interface `Cookie`
      Parameters:
        `maxAge` - The maximum age of this cookie in seconds

    - #### setSecure

          Cookie setSecure(boolean secure)

      Deprecated.
      Description copied from interface: `Cookie`
      Sets the security getStatus of this cookie
      Specified by:
        `setSecure` in interface `Cookie`
      Parameters:
        `secure` - True if this cookie is to be secure, otherwise false
      Returns:
        a reference to this, so the API can be used fluently

    - #### setHttpOnly

          Cookie setHttpOnly(boolean httpOnly)

      Deprecated.
      Description copied from interface: `Cookie`
      Determines if this cookie is HTTP only. If set to true, this cookie cannot be accessed by a client side script. However, this works only if the browser supports it. For for information, please look here.
      Specified by:
        `setHttpOnly` in interface `Cookie`
      Parameters:
        `httpOnly` - True if the cookie is HTTP only, otherwise false.

    - #### isChanged

          boolean isChanged()

      Deprecated.
      Has the cookie been changed? Changed cookieMap will be saved out in the response and sent to the browser.
      Returns:
        true if changed

    - #### setChanged

          void setChanged(boolean changed)

      Deprecated.
      Set the cookie as being changed. Changed will be true for a cookie just created, false by default if just read from the request
      Parameters:
        `changed` - true if changed

    - #### isFromUserAgent

          boolean isFromUserAgent()

      Deprecated.
      Has this Cookie been sent from the User Agent (the browser)? or was created during the executing on the request.
      Returns:
        true if the cookie comes from the User Agent.

Copyright © 2020 Eclipse. All rights reserved.